import ProcessRunner from 'skypager-process-runner'

export function use(options = {}, next) {
  attach(this)
  next()
}

export default use

export function attach(project) {
  const { outputFolder } = project.get('paths.logs', project.join('log'))

  project.lazy('processRunner', () => (
    new ProcessRunner((cmd) => cmd, { outputFolder })
  ))

  project.hide('captureCommandOutput', captureCommandOutput.bind(project, project))

  return project
}

function captureCommandOutput(project, command, options) {
  return project.processRunner(options.async ? 'runAsync' : 'run')(command, options)
  .then(report => (
    report.outputPath ? project.fs.readFileSync(report.outputPath).toString() : report
  ))
}
