export function use (options = {}, context = {}, next) {
  const { project = this } = context
  
  attach(project, options, next)
}

export function attach (project, options = {}, next) {
  decorate(project, options)
  typeof next === 'function' && next()

  return project
}

export const helpers = {
  selectors: 'website/sitemap',
}

export const decorate = (project, options = {}) => {
  project.selectors.register('website/sitemap', () => (chain, options = {}) => {
    const { 
      prefix = '/'
    } = options

    return chain 
      .invoke('documentType', 'page-config')
      .invoke('loadMatchingDocuments')
      .map(doc => doc.buildPageConfig(options))
      .keyBy(doc => doc.route || doc.id)
      .thru((routes) => ({prefix, routes}))
  })

  return project
}
