import remark from 'remark'
import unified from 'unified'
import remarkToRetext from 'remark-retext'
import english from 'retext-english'
import keywords from 'retext-keywords'

export const retext = (options = {}) =>
  unified()
    .use(remark())
    .use(remarkToRetext, unified().use(english).use(keywords))

export default (options = {}, context = {}) => {
  const { profile = 'default' } = options
  return (profiles[profile] || retext)(options)
}

export const profiles = {
  default: retext,
  retext
}

export const applyTo = (input, options) => {
  const { method = 'parse', parser = 'retext' } = options
  return profiles[parser](options)[method](input)
}
