import React from 'react';
import classnames from 'classnames';
import { addWidget } from 'actions/workspaces';


export default class SideBarMenu extends React.Component {
  constructor(props) {
    super(props);
  }

  addWidget(widget) {
    if (this.props.workspaces.getIn([this.props.activeWorkspaceIndex, 'widgets']).size < 4) {
      addWidget(widget);
    }
  }

  render() {
    const { menu, show } = this.props;
    const menuClasses = classnames('sidebar__menu', {'sidebar__menu--open': show});

    return (
      <aside className={menuClasses}>
        <h1>Add A {menu} Widget</h1>
        <button>ADD AS POPOUT</button>
        <button>ADD TO WORKSPACE</button>
      </aside>
    );
  }
}

SideBarMenu.propTypes = {
  workspaces: React.PropTypes.object,
  activeWorkspaceIndex: React.PropTypes.number,
  show: React.PropTypes.bool,
  menu: React.PropTypes.string
};
