import React from 'react';
import { routeActions } from 'redux-simple-router';
import { connect } from 'react-redux';

class PurchaseConfirmation extends React.Component {

  render() {
    const { email, proceed } = this.props;

    return (
      <div className="modal__window modal__window--med">
        <h3 className="modal__title">
          Subscription Confirmed!
        </h3>
        <p className="modal__body">
          Thank you for choosing Benzinga Pro! A confirmation email has been
          sent over to {email} with your subscription details and
          order summary.
        </p>
        <p className="modal__body">
          Your free 14-day trial has just started and you may begin using the
          platform immediately.
        </p>
        <button className="modal__proceed" onClick={() => proceed('/dashboard/')}>Launch the platform</button>
      </div>
    );
  }
}

PurchaseConfirmation.propTypes = {
  proceed: React.PropTypes.func.isRequired,
  email: React.PropTypes.string.isRequired
};
export default connect()(PurchaseConfirmation);
