import React from 'react';

import SecurityEvents from './SecurityEvents';

import { isPopout } from 'utils/popouts';
import SymbolAutocomplete from '../../search/SymbolAutocomplete';

import {
  loadNewCalendarType,
  loadNewCalendarDates,
  loadMoreCalendar,
  scrollHorizontally
} from 'actions/calendars';

class SecurityContentCalendar extends React.Component {

  render() {
    const { calendar, symbol, id, securitySearch, securityHeader, dispatch } = this.props;
    return (
      <div className="SecurityContentCalendar">
        {securitySearch}
        {securityHeader}
        <SecurityEvents
          {...calendar}
          symbol={symbol}
          id={id}
          dispatch={dispatch}
        />
      </div>
    );
  }
}

SecurityContentCalendar.propTypes = {
  securityHeader: React.PropTypes.element,
  securitySearch: React.PropTypes.element,
  calendar: React.PropTypes.object,
  symbol: React.PropTypes.string,
  id: React.PropTypes.number,
  dispatch: React.PropTypes.func
};

export default SecurityContentCalendar;
